// Beta
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*	XP Look and Feel                                                           *
*                                                                              *
*  (C) Copyright 2002, by Stefan Krause                                        *
*                                                                              *
*                                                                              *
*   This library is free software; you can redistribute it and/or modify it    *
*   under the terms of the GNU Lesser General Public License as published by   *
*   the Free Software Foundation; either version 2.1 of the License, or (at    *
*   your option) any later version.                                            *
*                                                                              *
*   This library is distributed in the hope that it will be useful,            *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of             *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                       *
*   See the GNU Lesser General Public License for more details.                *
*                                                                              *
*   You should have received a copy of the GNU General Public License along    *
*   with this program; if not, write to the Free Software Foundation, Inc.,    *
*   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.                    *
*                                                                              *
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

package com.stefankrause.xplookandfeel.skin;

import java.awt.Image;


/**
 * The base class for <code>Skin</code> and <code>SkinMenuItem</code>. It's 
 * responsibility is to handle the loading of the image from the cache.
 */
public class SkinElement {
	private String filename;
	private Image image;

	
	public SkinElement(String filename,boolean useAutomaticBitmap) {
		this.filename=filename;
		if (useAutomaticBitmap)
		{
			image=SkinImageCache.getInstance().getAutomaticImage(filename);
		}
		else
		{
			image=SkinImageCache.getInstance().getImage(filename);			
		}
	}	
	
	/**
     * returns the filename for the skin file.
	 * @return String
	 */
	public String getFilename() {
		return filename;
	}

    /**
     * Sets the filename for the skin file
     * @param filename the filename for the skin file
     */
	public void setFilename(String filename) {
		this.filename = filename;
	}

    /**
     * returns the image for the skin 
     * @return Image
     */
	public Image getImage() {
		return image;
	}

}
